use chrono::Utc;
use chrono_tz::US::Eastern;

use crate::ncaa::query;
use crate::ncaa::{
    game_info::GameInfo,
    scoreboard::Scoreboard,
    scoring_summary::ScoringSummary,
    sports,
    football,
    basketball,
};

#[tokio::test]
async fn test_query_scoring_summary() -> Result<(), reqwest::Error>  {
    // Football
    let mut response: ScoringSummary = query::scoring_summary("5932806").await?;
    assert_eq!(response.meta.title.is_empty(), false);
    // No scoring summary for basketball (at leaset from what I've seen)
    // Soccer Mens
    response = query::scoring_summary("5868569").await?;
    assert_eq!(response.meta.title.is_empty(), false);
    // No scoring summary for baseball / softball (at least from what I've seen)
    Ok(())
}
